Skip to content
Gowd Platform Production

Mexico payout - V1

PUT
/order/v1/payout/mexico
  Request a payout for Mexico country
  
  

NOTE: Please, to authenticate use the scope: “api://app-order-prd”

idempotency-key
required
string format: uuid

A unique identifier for the message with a maximum of 64 characters (we recommend a UUID).

object
amount
required

The payout amount

object
currency
required

The currency of the transaction.

string
Allowed values: MXN USDT
value
required

The amount of the transaction, in minor units.

Minor Units Format

Currency (for example Mexican peso): $ 1095 MXN, amount will be “1095”.

Click in the link bellow to see the latest official ISO 4217 Currency Table, with Minor Units (number of decimal places) per currency.

https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes

string
customer
required

The payout customer

object
fullName
required

Customer fullName

string
email

Customer email

string
phone

Customer phone

string
birth

The date of birth or foundation, in ISO-8601 YYYY-MM-DD format.

string
document
required

Document

object
type
required

The mexican document type (RUC, RFC).

string
Allowed values: CURP RFC
number
required

The document number

string
paymentMethod

Payment Method

string
Allowed values: SPEI KIOSKO TETHER
bank
required

The payout bank information

object
account
required

Bank account information data

object
accountNumber
required

The account number or clabe interbancaria

string
bankCode

The bank code

string
crypto

Crypto

object
address
required

The crypto wallet address

string
memo
required

The memo

string
description
required

The payout description.

string
webhookUrl
required

The webhook url to receive the payout status

string
code
required

Order id in your system.

string

The resource was returned successfully

object
id
required

Payout id, unique identification

string
amount
required

Payout amout

string
status
required

Payout status

string
Allowed values: INITIAL PENDING PAID EXPIRED ANALYSIS REFUNDED PARTIAL_REFUNDED PARTIALLY_PAID CANCELED ERROR
fee

Fee

object
fixed
required

Fixed fee amount

object
variable
required

Variable fee amount

object
additional
required

Addictional fee amount

object
errorMessage
required

Payout error message

string
createdAt
required

Payout creation date

string
batch

Batch information when this payout was split into a batch

object
id
required

Id of the batch

string
transactionsCount
required

Total number of child transactions in the batch

number
paidCount
required

Number of child transactions already paid

number
failedCount
required

Number of child transactions that failed

number
pendingCount
required

Number of child transactions still pending

number
paidAmount
required

Amount already paid across all child transactions

string
pendingAmount
required

Amount still pending across all child transactions

string
transactions
required

Child transactions the batch was split into

Array<object>
object
id
required

Id of this child transaction

string
idempotencyKey
required

Idempotency key of this child transaction - the first child reuses the batch idempotencyKey verbatim, later ones suffix it

string
sequence
required

Ordering position of this child transaction within the batch

number
amount
required

Amount of this child transaction

string
status
required

Status of this child transaction

string
Allowed values: INITIAL PENDING PAID EXPIRED ANALYSIS REFUNDED PARTIAL_REFUNDED PARTIALLY_PAID CANCELED ERROR
endToEndId

End-to-end id of this child transaction

string
paidAt

Date this child transaction was paid

string
errorMessage

Error message when this child transaction failed

string

The request is not valid

Array<string>

Unauthorized Request

Array<string>

An unexpected error occurred inside the server

Array<string>